/**
 * Created on 2017/5/14.
 * @fileoverview 请填写简要的文件说明.
 * @author joc (Chen Wen)
 */
if (typeof global !== 'undefined') {
    global.window = global.window || {};

    window.btoa = function (str) {
        var buf = new Buffer(str);
        return buf.toString('base64');
    };

    window.atob = function (str) {
        var buf = new Buffer(str, 'base64');
        return buf.toString();
    };

    // Buffer 类已支持 unicode
    window.unescape =
        window.encodeURIComponent =
            window.decodeURIComponent =
                window.escape = function (str) {
                    return str;
                };
}

// ucs-2 string to base64 encoded ascii
function encode (str) {
    return window.btoa(window.unescape(window.encodeURIComponent(str)));
}
// base64 encoded ascii to ucs-2 string
function decode (str) {
    return window.decodeURIComponent(window.escape(window.atob(str)));
}

module.exports = {encode, decode};
